Skip to main content
`Ctrl`+`K`

# MatCreateSeqUSFFT

Creates a matrix object that provides sequential USFFT via the external package FFTW

## Synopsis

    #include "petscmat.h"
    #include "petscdmda.h"
    PetscErrorCode  MatCreateSeqUSFFT(Vec sampleCoords, DM freqDA, Mat *A)

Collective

## Input Parameter

- da - geometry of the domain encoded by a `DMDA`

## Output Parameter

- A - the matrix

## Options Database Key

- -mat_usfft_plannerflags - set the FFTW planner flags

## Note

This does not currently exist. There is some code in place but apparently unfinished and commented out with #ifdef 0

## See Also

`Mat`, `Vec`, `DMDA`, `DM`

## Level

intermediate

## Location

src/dm/impls/da/usfft/matusfft.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages